This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 823588 - Zeitgeist sql.py:76:execute:OperationalError: database is locked
Zeitgeist sql.py:76:execute:OperationalError: database is locked
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: zeitgeist (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 11:11 EDT by admin
Modified: 2012-06-08 20:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-23 11:42:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description admin 2012-05-21 11:11:08 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
just boot
  

sql.py:76:execute:OperationalError: database is locked

abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/zeitgeist-daemon
comment:        Just boot
executable:     /usr/bin/zeitgeist-daemon
kernel:         3.3.6-3.fc17.x86_64
reported_to:    Bugzilla: URL=https://bugzilla.redhat.com/show_bug.cgi?id=743472
time:           Сб. 19 мая 2012 21:37:00
uid:            1000
username:       raistlin

event_log:      Binary file, 876 bytes

backtrace:
:sql.py:76:execute:OperationalError: database is locked
:
:Traceback (most recent call last):
:  File "/usr/bin/zeitgeist-daemon", line 198, in <module>
:    main()
:  File "/usr/bin/zeitgeist-daemon", line 176, in main
:    mainloop, interface = setup_interface()
:  File "/usr/bin/zeitgeist-daemon", line 103, in setup_interface
:    return mainloop, RemoteInterface(mainloop = mainloop)
:  File "/usr/share/zeitgeist/_zeitgeist/engine/remote.py", line 71, in __init__
:    self._engine = get_engine()
:  File "/usr/share/zeitgeist/_zeitgeist/engine/__init__.py", line 42, in get_engine
:    _engine = main.ZeitgeistEngine()
:  File "/usr/share/zeitgeist/_zeitgeist/engine/main.py", line 99, in __init__
:    self._cursor = cursor = get_default_cursor()
:  File "/usr/share/zeitgeist/_zeitgeist/engine/sql.py", line 494, in get_default_cursor
:    _cursor = create_db(dbfile)
:  File "/usr/share/zeitgeist/_zeitgeist/engine/sql.py", line 212, in create_db
:    cursor.execute("PRAGMA journal_mode = DELETE")
:  File "/usr/share/zeitgeist/_zeitgeist/engine/sql.py", line 76, in execute
:    return super(UnicodeCursor, self).execute(statement, parameters)
:OperationalError: database is locked
:
:Local variables in innermost frame:
:self: <_zeitgeist.engine.sql.UnicodeCursor object at 0xcc00e8>
:statement: 'PRAGMA journal_mode = DELETE'
:parameters: []

END:
Comment 1 Fedora Update System 2012-05-22 06:05:54 EDT
zeitgeist-0.9.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zeitgeist-0.9.0-1.fc17
Comment 2 Fedora Update System 2012-05-22 11:51:54 EDT
Package zeitgeist-0.9.0-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zeitgeist-0.9.0-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8228/zeitgeist-0.9.0-1.fc17
then log in and leave karma (feedback).
Comment 3 admin 2012-05-23 11:42:51 EDT
Thanks, bug fixed.
Comment 4 Fedora Update System 2012-06-08 20:05:48 EDT
zeitgeist-0.9.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.